package com.chaozhanggui.common.system.util;

import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * @author admin
 * @date 2021/8/5 12:00
 */
@Component
public class ExceptionUtil {
    public static Map<String, String> map = new HashMap<>();

     public void initException(){
        //中文
         map.put("000000","成功");
         map.put("000001","用户名不存在");
         map.put("000002","不存在的用户类型");
         map.put("000003","非机构用户不允许登录");
         map.put("000004","用户身份不匹配");
         map.put("000005","用户名或者密码错误");
         map.put("000006","用户信息错误,传入的用户名错误");
         map.put("000007","用户不存在");
         map.put("000008","机构编号已经存在");
         map.put("000009","父级机构账号异常");
         map.put("000010","机构权限不足");
         map.put("000011","费率错误，下级机构费率不能低于上级");
         map.put("000012","费率值不允许大于1");
         map.put("000013","错误的机构类型");
         map.put("000014","需要修改的费率信息不存在");
         map.put("000015","父级机构信息异常");
         map.put("000016","当前用户权限不足");
         map.put("000017","修改费率不允许小于上级费率");
         map.put("000018","修改费率不允许小于下级最大费率");
         map.put("000019","参数错误");
         map.put("000020","对应的提现信息不存在");
         map.put("000021","订单已处理完成");
         map.put("000022","错误的操作类型");
         map.put("000023","审核员信息不存在");
         map.put("000024","审核信息为空");
         map.put("000025","操作权限不足");
         map.put("000026","请等待下级审核完成");
         map.put("000027","提现已被拒绝");
         map.put("000028","已被上级审核");
         map.put("000029","可提余额不足");
         map.put("000030","提现账户信息不完整");
         map.put("000031","商户信息不存在");
         map.put("000032","小于最小提现金额");
         map.put("000033","平台不允许提现");
         map.put("000034","资源不存在");





         map.put("000035","此用户不在黑名单中");
         map.put("000036","多购物车结算禁止使用优惠券");
         map.put("000037","商品规格错误");
         map.put("000038","钱包密码错误");
         map.put("000039","当前群已经解散");
         map.put("000040","只允许群主和管理员修改群名称");
         map.put("000041","用户已退出此群");
         map.put("000042","非群管理员,禁止操作");
         map.put("000043","此订单已经评论");
         map.put("000044","订单状态异常");
         map.put("000045","对方不是你好友");
         map.put("000046","任务状态异常");
         map.put("000047","生成支付订单失败");
         map.put("000048","不存在的订单号");
         map.put("000049","用户没有创建活动的权限");
         map.put("000050","用户权限不足");
         map.put("000051","修改错误");
         map.put("000052","增加错误");

         map.put("000070","对应字典项不匹配");
         map.put("000071","支付宝资金不足");
         map.put("000072","未找到支行信息");




         map.put("999999","token 不存在或已过期");
         map.put("999998","登录异常，请稍后重试");
         map.put("999997","获取信息异常");
         map.put("999996","退出异常");
         map.put("999995","提现审核异常");
         map.put("999994","上传失败");






         map.put("999993","创建群异常");
         map.put("999992","发送红包异常");
         map.put("999991","领取红包异常");
         map.put("999990","注册融云异常");
         map.put("999989","重置资金密码异常");
         map.put("999988","修改资金密码异常");
         map.put("999987","发送短信异常");
         map.put("999986","添加黑名单异常");
         map.put("999985","购物车结算异常");
         map.put("999984","立即购买异常");
         map.put("999983","邀请好友进群异常");
         map.put("999982","修改群名称异常");
         map.put("999981","退群异常");
         map.put("999980","群禁言异常");
         map.put("999979","未知的错误");
         map.put("999978","签到异常");
         map.put("999977","赠送活动异常");
         map.put("999976","解析异常");
         map.put("999950","execl异常");
         map.put("999940","用户角色信息不存在");
         map.put("999941","不允许成为创客");
         map.put("999942","已成为创客或者正在审核中");
         map.put("999943","失败");
         map.put("999944","生成密钥对异常，请稍后重试");
    }

}
